## ubuntu-php-firefox-human 0.4.5

=== pkg/Makefile ===
VERSION=`cat ../src/VERSION`

all:	buildsrc buildpkg clean

buildsrc:
	mkdir -p src/{DEBIAN,usr/lib/firefox/extensions}
	chmod +x ./buildsrc.sh
	./buildsrc.sh

buildpkg:
	mkdir -p src/DEBIAN
	chmod -R 755 src

	sed "s/SIZE/`du -sk --apparent-size src/usr | cut -f 1`/g" control.template \
		| sed "s/VERSION/$(VERSION)/g" > src/DEBIAN/control

	set -e; cd src ; find usr -type f | xargs md5sum > DEBIAN/md5sums

	fakeroot dpkg -b src firefox-themes-ubuntu_$(VERSION).deb
	mv *.deb bin

clean:
	rm -Rf src

=== debian/changelog ===
ubuntu-php-firefox-human (0.4.5) dapper; urgency=low

  * Add firefox to Build-Depends, so we can fall back to existing
    theme data.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 30 May 2006 14:22:14 +0100

ubuntu-php-firefox-human (0.4.4) dapper; urgency=low

  * Build-Depend on debhelper.
  * Clean up debian/control (move Section, Priority; add
    Standards-Version; remove duplicate Depends).
  * Make debian/copyright exist after `clean'.
  * Install the changelog.
  * Update FSF address.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 26 May 2006 19:08:26 +0100

ubuntu-php-firefox-human (0.4.3) dapper; urgency=low

  * Add Build-Depends on tango-icon-theme-common (since things have been
    split up some more, it seems).

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 26 May 2006 18:15:01 +0100

ubuntu-php-firefox-human (0.4.2) dapper; urgency=low

  * Rebuild to include new icons from themes.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 26 May 2006 17:10:50 +0100

ubuntu-php-firefox-human (0.4.1) unstable; urgency=low

  * Initial version with normal Debian-format source package

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 16 May 2006 18:34:13 +0100

=== debian/control ===
Source: ubuntu-php-firefox-human
Maintainer: Frank Schoep <frank@ffnn.nl>
Build-Depends: ubuntu-artwork, tangerine-icon-theme, tango-icon-theme, tango-icon-theme-common, firefox, php5-cli, imagemagick, inkscape, java-gcj-compat, file, debhelper (>= 4)
Standards-Version: 3.7.2
Section: web
Priority: optional

Package: firefox-themes-ubuntu
Depends: firefox (>= 1.5)
Architecture: all
Description: Firefox themes matching the Ubuntu desktop look
 This package provides Firefox with a consistent look for the Ubuntu desktop.
 There are three Firefox themes included in this package:
  - Human
  - Tangerine
  - Tango
 .
 Upon installation, the Human theme is set to be the default theme for
 new users.

=== debian/rules ===
#! /usr/bin/make -f

build: build-stamp
build-stamp: debian/copyright
	dh_testdir
	$(MAKE) -C src all
	touch $@

clean: debian/copyright
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	$(MAKE) -C src clean
	$(MAKE) -C pkg clean
	rm -f bin/*.jar
	dh_clean

install-stamp:
	$(MAKE) -C pkg buildsrc
	touch $@

debian/copyright: debian/substcopyright debian/copyright.in
	perl -n $^ >$@.new && mv -f $@.new $@

binary: binary-arch binary-indep
binary-arch:
binary-indep: install-stamp
	dh_testdir
	dh_testroot
	dh_clean
	cp -a pkg/src debian/firefox-themes-ubuntu
	dh_fixperms
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean install binary binary binary-indep binary-arch
